This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 989715 - [abrt] ninja-ide-2.2-1.fc19: re.py:242:_compile:error: nothing to repeat
[abrt] ninja-ide-2.2-1.fc19: re.py:242:_compile:error: nothing to repeat
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ninja-ide (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Roussos
Fedora Extras Quality Assurance
abrt_hash:4cb392d6695abf1ad71015a1170...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 14:52 EDT by Randy Barlow
Modified: 2014-08-12 07:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-12 07:35:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.28 KB, text/plain)
2013-07-29 14:52 EDT, Randy Barlow
no flags Details
File: core_backtrace (932 bytes, text/plain)
2013-07-29 14:52 EDT, Randy Barlow
no flags Details
File: environ (1.82 KB, text/plain)
2013-07-29 14:52 EDT, Randy Barlow
no flags Details

  None (edit)
Description Randy Barlow 2013-07-29 14:52:20 EDT
Description of problem:
I used ctrl-f to search for text.

Version-Release number of selected component:
ninja-ide-2.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/ninja-ide
dso_list:       python-libs-2.7.5-3.fc19.x86_64
executable:     /usr/bin/ninja-ide
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
re.py:242:_compile:error: nothing to repeat

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/ninja_ide/gui/status_bar.py", line 423, in keyPressEvent
    self._parent.find_matches(editor)
  File "/usr/lib/python2.7/site-packages/ninja_ide/gui/status_bar.py", line 377, in find_matches
    self._parent.find()
  File "/usr/lib/python2.7/site-packages/ninja_ide/gui/status_bar.py", line 227, in find
    editor.find_match(self._searchWidget._line.text(), flags)
  File "/usr/lib/python2.7/site-packages/ninja_ide/gui/editor/editor.py", line 667, in find_match
    self.highlight_selected_word(word)
  File "/usr/lib/python2.7/site-packages/ninja_ide/gui/editor/editor.py", line 1273, in highlight_selected_word
    self.highlighter.set_selected_word(word, partial)
  File "/usr/lib/python2.7/site-packages/ninja_ide/gui/editor/syntax_highlighter.py", line 444, in set_selected_word
    pat_find = re.compile(word)
  File "/usr/lib64/python2.7/re.py", line 190, in compile
    return _compile(pattern, flags)
  File "/usr/lib64/python2.7/re.py", line 242, in _compile
    raise error, v # invalid expression
error: nothing to repeat

Local variables in innermost frame:
cachekey: (<type 'unicode'>, u'?', 0)
pattern: u'?'
p: None
flags: 0
key: (u'?', 0)
v: error('nothing to repeat',)
Comment 1 Randy Barlow 2013-07-29 14:52:24 EDT
Created attachment 780082 [details]
File: backtrace
Comment 2 Randy Barlow 2013-07-29 14:52:27 EDT
Created attachment 780083 [details]
File: core_backtrace
Comment 3 Randy Barlow 2013-07-29 14:52:29 EDT
Created attachment 780084 [details]
File: environ
Comment 4 Nikos Roussos 2014-08-12 07:35:29 EDT
Please update to the latest version of the package.

Note You need to log in before you can comment on or make changes to this bug.